.TH FEDMSG-TAIL 1

.SH NAME
fedmsg-tail \- listen to the fedmsg bus and print the received messages

.SH SYNOPSIS
.B fedmsg\-tail
.RB [ \-\-terse | \-\-pretty | \-\-really\-pretty | \-\-query
.IR QUERY_STRING ]
.RB [ \-\-topic
.IR TOPIC ]
.RB [ \-\-exclude
.IR REGEXP ]
.RB [ \-\-include
.IR REGEXP ]
.RB [ \-\-users
.IR USERS ]
.RB [ \-\-packages
.IR PACKAGES ]
.RI [ "<common fedmsg options>" ]
.PP
.B fedmsg\-tail
.RB [ \-h | \-\-help ]

.SH DESCRIPTION
.PP
.B fedmsg\-tail
connects to all the configured enpoints on the bus, filters the messages
according to the filter options, and pretty-prints them to the standard
output according to the formatting options.

.SH OPTIONS
.TP
.BR \-h ", " \-\-help
Print an help message and exit

.PP
.B FILTERING
.TP
.BR "\-\-topic " TOPIC
The topic pattern to listen for. Everything by default.
.TP
.BR "\-\-exclude " REGEXP
Only show topics that do not match the supplied regexp.
.TP
.BR "\-\-include " REGEXP
Only show topics that match the supplied regexp.
.TP
.BR "\-\-users " USERS
A comma\-separated list of usernames. Show only the messages related to
these users.
.TP
.BR "\-\-packages " PACKAGES
A comma\-separated list of packages. Show only the messages related to
these packages.

.PP
.B FORMATTING
.TP
.BR \-\-terse
Print "english" representations of messages only.
.TP
.BR \-\-pretty
Pretty print the JSON messages.
.TP
.BR \-\-really\-pretty
Extra-pretty print the JSON messages.
.TP
.BR "\-\-query " QUERY_STRING
Displays only message contents matching the QUERY_STRING instead of everything.

.SH COMMON FEDMSG OPTIONS
.TP
.BR "\-\-io\-threads " IO_THREADS
Number of io threads for 0mq to use
.TP
.BR "\-\-topic\-prefix " TOPIC_PREFIX
Prefix for the topic of each message sent.
.TP
.BR "\-\-post\-init\-sleep " POST_INIT_SLEEP
Number of seconds to sleep after initializing.
.TP
.BR "\-\-config\-filename " CONFIG_FILENAME
Config file to use.
.TP
.BR \-\-print\-config
Simply print out the configuration and exit. No action taken.
.TP
.BR "\-\-timeout " TIMEOUT
Timeout in seconds for any blocking zmq operations.
.TP
.BR "\-\-high\-water\-mark " HIGH_WATER_MARK
Limit on the number of messages in the queue before
blocking.
.TP
.BR "\-\-linger " ZMQ_LINGER
Number of milliseconds to wait before timing out connections.

.SH AUTHORS
.TP
.BR "The Fedora Infrastructure team" " <\&messaging\-sig@lists\&.fedoraproject\&.org\&>"
.RB "Wrote the " fedmsg " software\&."
.TP
.BR "Nicolas Dandrimont" " <\&olasd@debian\&.org\&>"
Wrote this manpage for the Debian system\&.

.SH COPYRIGHT
.br
Copyright \(co 2014 Nicolas Dandrimont
.br
.PP
This manual page was written for the Debian system (and may be used by
others)\&.
.PP
You can redistribute it and/or modify it under the terms of the GNU
Lesser General Public License as published by the Free Software
Foundation; either version 2.1 of the License, or (at your option) any
later version.
.PP
On Debian systems, a copy of the license can be found in the
.I /usr/share/common-licenses/LGPL-2.1
file.
.sp
